/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.renderer.xhtml;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.rendering.internal.renderer.AbstractPrintRendererFactory;
import org.xwiki.rendering.syntax.Syntax;

/**
 * Create Annotated XHTML Renderers.
 *
 * @version $Id: 7f7a94a991766d58a5a55afbbb7ef8fe2199563f $
 * @since 2.0M3
 */
@Component
@Named("annotatedxhtml/1.0")
@Singleton
public class AnnotatedXHTMLRendererFactory extends AbstractPrintRendererFactory
{
    /**
     * {@inheritDoc}
     * @see AbstractPrintRendererFactory#getSyntax()
     */
    public Syntax getSyntax()
    {
        return Syntax.ANNOTATED_XHTML_1_0;
    }
}
