/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.macro;

import org.xwiki.component.annotation.ComponentRole;
import org.xwiki.rendering.parser.ParseException;

/**
 * Convert a string representing a macro id into a typed {@link MacroId} object.
 *
 * @version $Id: 302731b8efbb0639b37d0320bda2969eca0d3fb8 $
 * @since 2.0M3
 */
@ComponentRole
public interface MacroIdFactory
{
    /**
     * @param macroIdAsString the string representing the macro id in the format "id/syntaxtype/syntaxversion".
     *        Example: html/confluence/1.0
     * @return the typed representation of a macro Id
     * @throws ParseException if the passed string has an invalid format
     */
    MacroId createMacroId(String macroIdAsString) throws ParseException;
}
